import React from 'react'
import { translate } from 'cozy-ui/react/I18n'

import StyledButton from 'components/CommonKit/Button/StyledButton'

interface KonnectorNotFoundProps {
  konnectorSlug: string
  t: Function
}

const KonnectorNotFound: React.FC<KonnectorNotFoundProps> = ({
  t,
}: KonnectorNotFoundProps) => {
  return (
    <div className="knotfound">
      <div className="knotfound-text">
        {' '}
        {t('KONNECTORCONFIG.NOT_INSTALLED')}
      </div>
      <div className="knotfound-button">
        <StyledButton
          type="button"
          color="primary"
          onClick={() =>
            window.open(
              'https://store.yoan.cozy.wf.alpha.grandlyon.com/#/discover/boulanger',
              '_blank'
            )
          }
        >
          {t('KONNECTORCONFIG.BTN_INSTALL')}
        </StyledButton>
      </div>
    </div>
  )
}

export default translate()(KonnectorNotFound)
